<!--
Price leaf компонент онлайн калькулятор.
Версия pro (c) 2012.10.01
Автор Ваня
Copyright (C) 2012 joomla-umnik
Лицензия GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
Официальный сайт http://joomla-umnik.ru
-->

<?php
// Запрет к прямому доступу. Если кто то попытается обратиться к файлу напрямую, joomla выдаст пустую страницу.
defined('_JEXEC') or die('Restricted access');
 
// импорт joomla вида из библиотеки
jimport('joomla.application.component.view');
 
/**
 * Класс вида
 */
class PriceleafViewOption extends JView
{
	/**
	 * Отображение метода вида
	 */
	public function display($tpl = null) 
	{
		// Получаем данные через Form и Item
		$form = $this->get('Form');
		$item = $this->get('Item');
	    $script = $this->get('Script');
 
		// Проверка на ошибки.
		if (count($errors = $this->get('Errors'))) 
		{
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		}
		// Назначение данных
		$this->form = $form;
		$this->item = $item;
		$this->script = $script;
 
		// Устанавливаем панель инструментов
		$this->addToolBar();
 
		// Отобразить данные на дисплее.
		parent::display($tpl);
		
		// Установим документ
		$this->setDocument();
	}
 
	/**
	 * Настройка панели инструментов
	 */
	protected function addToolBar() 
	{
		$canDo = PriceleafHelper::getActions();
		JToolBarHelper::title(JText::_('COM_PRICELEAF'), 'priceleaf');
		$isNew = ($this->item->id == 0);
		JToolBarHelper::title($isNew ? JText::_('COM_PRICELEAF_OPTION_NEW') : JText::_('COM_PRICELEAF_OPTION_EDIT'), 'priceleaf');
		JToolBarHelper::apply('option.apply');
		$help_url  = 'http://joomla-umnik.ru/mana';
		JToolbarHelper::help('COM_PRICELEAF_VIEW_TYPE1', false, $help_url );		
	}
	
	//Метод создания свойств документа
		protected function setDocument() 
	{
		$isNew = ($this->item->id < 1);
		$document = JFactory::getDocument();
		$document->setTitle($isNew ? JText::_('COM_PRICELEAF_OPTION_NEW') : JText::_('COM_PRICELEAF_OPTION_EDIT'));
		$document->addScript(JURI::root() . $this->script);
		$document->addScript(JURI::root() . "/administrator/components/com_priceleaf/views/priceleaf/submitbutton.js");
		JText::script('COM_PRICELEAF_ERROR');
	}
}